{
    "doc": "The response from `GET /references/{id}/bases` expressed as JSON.",
    "fields": [
        {
            "default": 0,
            "doc": "The offset position (0-based) of the given sequence from the start of this\n  `Reference`. This value will differ for each page in a paginated request.",
            "name": "offset",
            "type": "long"
        },
        {
            "doc": "A substring of the bases that make up this reference. Bases are represented\n  as IUPAC-IUB codes; this string matches the regexp `[ACGTMRWSYKVHDBN]*`.",
            "name": "sequence",
            "type": "string"
        },
        {
            "default": null,
            "doc": "The continuation token, which is used to page through large result sets.\n  Provide this value in a subsequent request to return the next page of\n  results. This field will be empty if there aren't any additional results.",
            "name": "nextPageToken",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "ListReferenceBasesResponse",
    "namespace": "org.ga4gh.methods",
    "type": "record"
}